GH-AUTH-SWITCH(1)

NAME

gh-auth-switch - Switch active GitHub account

SYNOPSIS

gh auth switch [flags]

DESCRIPTION

Switch the active account for a GitHub host.

This command changes the authentication configuration that will be used when running commands targeting the specified GitHub host.

OPTIONS

-h, --hostname <string>
    The hostname of the GitHub instance to switch account for

-u, --user <string>
    The account to switch to

EXAMPLE
    # Select what host and account to switch to via a prompt
    $ gh auth switch
    # Switch to a specific host and specific account
    $ gh auth logout --hostname enterprise.internal --user monalisa

SEE ALSO

gh-auth(1)